Payment batches & settlement
Tx Ops Get Batch Details
Name and signature indicate it returns tx ops get batch details
GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-batch-details
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-batch-details?batchID=%3CbatchID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"executionMode": "string",
"batchID": "string",
"orgID": "string",
"name": "string",
"module": "string",
"status": "string",
"createdAt": "string",
"batchAssets": [
{
"networkChainID": "string",
"networkName": "string",
"networkType": "string",
"tokenAddress": "string",
"tokenSymbol": "string",
"tokenDecimals": 0
}
],
"groups": [
{
"groupKey": "string",
"networkChainID": "string",
"networkName": "string",
"tokenAddress": "string",
"tokenSymbol": "string",
"tokenIcon": "string",
"paymentRail": "CRYPTO",
"fundingConstraintKey": "string",
"plannedProvider": "string",
"plannedSourceCustodyWalletID": "string",
"plannedSourceWalletAddress": "string",
"totalAmount": "string",
"readyAmount": "string",
"recipientCount": 0,
"readyCount": 0,
"status": "string",
"execution": {
"attemptNumber": 0,
"provider": "string",
"sourceAddress": "string",
"status": "string",
"counts": {
"total": 0,
"pending": 0,
"awaitingApproval": 0,
"confirming": 0,
"needsReview": 0,
"completed": 0,
"failed": 0
},
"approval": {
"currentSignatures": 0,
"requiredSignatures": 0,
"safeAppUrl": "string"
},
"transactions": [
{
"transactionID": "string",
"providerTransactionID": "string",
"status": "string",
"txHash": "string",
"errorCode": "string",
"errorMessage": "string",
"errorStage": "string",
"isRetryable": true
}
],
"fiatTransfers": [
{}
]
},
"releasableUnsentCount": 0,
"resubmittableUnsentCount": 0,
"awaitingFundingCount": 0,
"executionAttemptCount": 0,
"latestExecutionAttemptNumber": 0,
"latestExecutionFinishedAt": "string",
"fiatSandboxSimulation": true
}
],
"intents": [
{
"executionMode": "string",
"externalEvidence": {
"requestID": "string",
"state": "string",
"chainID": "string",
"transactionHash": "string",
"transferRef": "string",
"paidAt": "string",
"verifiedAt": "string",
"finalizedAt": "string",
"errorCode": "string"
},
"paymentIntentID": "string",
"destinationAddress": "string",
"destinationName": "string",
"destinationMetadata": {},
"amount": "string",
"tokenSymbol": "string",
"status": "string",
"canRecordExternalPayment": true,
"manualSettledAmount": "string",
"manualSettlements": [
{
"settlementID": "string",
"amount": "string",
"transactionHash": "string",
"paidAt": "string",
"recordedBy": "string",
"createdAt": "string",
"notes": "string",
"voidedAt": "string",
"voidedBy": "string",
"voidReason": "string"
}
],
"module": "string",
"groupKey": "string",
"createdAt": "string",
"networkName": "string",
"paymentRail": "string",
"invoiceContext": {
"invoicePaymentID": "string",
"invoiceNumber": "string",
"clientOrgID": "string",
"clientOrgName": "string"
},
"plannedProvider": "string",
"plannedSourceCustodyWalletID": "string",
"plannedSourceWalletAddress": "string",
"latestExecution": {
"executionAttemptID": "string",
"attemptNumber": 0,
"provider": "string",
"sourceAddress": "string",
"executionStatus": "string",
"intentExecutionStatus": "string",
"rail": "CRYPTO",
"submittedAt": "string",
"completedAt": "string",
"transactionCount": 0,
"completedTransactionCount": 0,
"failedTransactionCount": 0,
"hashPreview": "string",
"hashCount": 0,
"referencePreview": "string",
"latestErrorCode": "string",
"latestErrorMessage": "string",
"latestErrorStage": "string",
"anyRetryable": true,
"lastUpdatedAt": "string",
"fiatFx": {},
"approvalUrl": "string",
"needsReview": true,
"awaitingApproval": true,
"approval": {
"currentSignatures": 0,
"requiredSignatures": 0,
"signUrl": "string"
}
}
}
],
"lastRefreshedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
batchIDstring<uuid>requiredResponse
200Successful response
executionModestringrequiredbatchIDstringrequiredorgIDstringrequirednamestring | nullrequiredmodulestringrequiredstatusstringrequiredcreatedAtstringrequiredbatchAssetsobject[]requiredShow child attributes
networkChainIDstringrequirednetworkNamestringrequirednetworkTypestringrequiredtokenAddressstringrequiredtokenSymbolstringrequiredtokenDecimalsintegerrequiredgroupsobject[]requiredShow child attributes
groupKeystringrequirednetworkChainIDstringrequirednetworkNamestringrequiredtokenAddressstringrequiredtokenSymbolstringrequiredtokenIconstring | nullrequiredpaymentRailstringrequiredAvailable options: CRYPTO, FIAT
fundingConstraintKeystring | nullrequiredplannedProviderstring | nullrequiredplannedSourceCustodyWalletIDstring | nullrequiredplannedSourceWalletAddressstring | nullrequiredtotalAmountstringrequiredreadyAmountstringrequiredrecipientCountintegerrequiredreadyCountintegerrequiredstatusstringrequiredexecutionobject | nullrequiredShow child attributes
attemptNumberintegerrequiredproviderstringrequiredsourceAddressstringrequiredstatusstringrequiredcountsobjectrequiredShow child attributes
totalintegerrequiredpendingintegerrequiredawaitingApprovalintegerrequiredconfirmingintegerrequiredneedsReviewintegerrequiredcompletedintegerrequiredfailedintegerrequiredapprovalobject | nullrequiredShow child attributes
currentSignaturesintegerrequiredrequiredSignaturesintegerrequiredsafeAppUrlstringrequiredtransactionsobject[]requiredShow child attributes
transactionIDstringrequiredproviderTransactionIDstring | nullrequiredstatusstringrequiredtxHashstring | nullrequirederrorCodestring | nullrequirederrorMessagestring | nullrequirederrorStagestring | nullrequiredisRetryablebooleanrequiredfiatTransfersobject[]requiredreleasableUnsentCountintegerrequiredresubmittableUnsentCountintegerrequiredawaitingFundingCountintegerrequiredexecutionAttemptCountintegerrequiredlatestExecutionAttemptNumberinteger | nullrequiredlatestExecutionFinishedAtstring | nullrequiredfiatSandboxSimulationbooleanrequiredintentsobject[]requiredShow child attributes
executionModestringrequiredexternalEvidenceobject | nullrequiredShow child attributes
requestIDstringrequiredstatestringrequiredchainIDstringrequiredtransactionHashstringrequiredtransferRefstring | nullrequiredpaidAtstring | nullrequiredverifiedAtstring | nullrequiredfinalizedAtstring | nullrequirederrorCodestring | nullrequiredpaymentIntentIDstringrequireddestinationAddressstringrequireddestinationNamestring | nullrequireddestinationMetadataobject | nullrequiredamountstringrequiredtokenSymbolstringrequiredstatusstringrequiredcanRecordExternalPaymentbooleanmanualSettledAmountstringmanualSettlementsobject[]Show child attributes
settlementIDstringrequiredamountstringrequiredtransactionHashstringrequiredpaidAtstringrequiredrecordedBystringrequiredcreatedAtstringrequirednotesstring | nullrequiredvoidedAtstring | nullrequiredvoidedBystring | nullrequiredvoidReasonstring | nullrequiredmodulestringrequiredgroupKeystringrequiredcreatedAtstringrequirednetworkNamestringrequiredpaymentRailstringrequiredfiatDestinationanyrequiredinvoiceContextobject | nullrequiredShow child attributes
invoicePaymentIDstringrequiredinvoiceNumberstringrequiredclientOrgIDstringrequiredclientOrgNamestringrequiredplannedProviderstring | nullrequiredplannedSourceCustodyWalletIDstring | nullrequiredplannedSourceWalletAddressstring | nullrequiredlatestExecutionobject | nullrequiredShow child attributes
executionAttemptIDstringrequiredattemptNumberintegerrequiredproviderstringrequiredsourceAddressstringrequiredexecutionStatusstringrequiredintentExecutionStatusstring | nullrequiredrailstringrequiredAvailable options: CRYPTO, FIAT
submittedAtstring | nullrequiredcompletedAtstring | nullrequiredtransactionCountintegerrequiredcompletedTransactionCountintegerrequiredfailedTransactionCountintegerrequiredhashPreviewstring | nullrequiredhashCountintegerrequiredreferencePreviewstring | nullrequiredlatestErrorCodestring | nullrequiredlatestErrorMessagestring | nullrequiredlatestErrorStagestring | nullrequiredanyRetryablebooleanrequiredlastUpdatedAtstringrequiredfiatFxobject | nullrequiredapprovalUrlstring | nullrequiredneedsReviewbooleanrequiredawaitingApprovalbooleanrequiredapprovalobject | nullrequiredShow child attributes
currentSignaturesintegerrequiredrequiredSignaturesintegerrequiredsignUrlstringrequiredvaluationanyrequiredlastRefreshedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits